/* $NetBSD: hpux_sysent.c,v 1.41 2003/01/18 23:32:19 thorpej Exp $ */

/*
 * System call switch table.
 *
 * DO NOT EDIT-- this file is automatically generated.
 * created from	NetBSD: syscalls.master,v 1.27 2003/01/18 07:36:58 thorpej Exp 
 */

#include <sys/cdefs.h>
__KERNEL_RCSID(0, "$NetBSD: hpux_sysent.c,v 1.41 2003/01/18 23:32:19 thorpej Exp $");

#if defined(_KERNEL_OPT)
#include "opt_sysv.h"
#include "opt_compat_43.h"
#endif
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/signal.h>
#include <sys/mount.h>
#include <sys/exec.h>
#include <sys/poll.h>
#include <sys/sa.h>
#include <sys/syscallargs.h>
#include <compat/hpux/hpux.h>
#include <compat/hpux/hpux_syscallargs.h>
#include <machine/hpux_machdep.h>

#define	s(type)	sizeof(type)

struct sysent hpux_sysent[] = {
	{ 0, 0, 0,
	    sys_nosys },			/* 0 = syscall */
	{ 1, s(struct sys_exit_args), 0,
	    sys_exit },				/* 1 = exit */
	{ 0, 0, 0,
	    hpux_sys_fork },			/* 2 = fork */
	{ 3, s(struct hpux_sys_read_args), 0,
	    hpux_sys_read },			/* 3 = read */
	{ 3, s(struct hpux_sys_write_args), 0,
	    hpux_sys_write },			/* 4 = write */
	{ 3, s(struct hpux_sys_open_args), 0,
	    hpux_sys_open },			/* 5 = open */
	{ 1, s(struct sys_close_args), 0,
	    sys_close },			/* 6 = close */
	{ 1, s(struct hpux_sys_wait_args), 0,
	    hpux_sys_wait },			/* 7 = wait */
	{ 2, s(struct hpux_sys_creat_args), 0,
	    hpux_sys_creat },			/* 8 = creat */
	{ 2, s(struct sys_link_args), 0,
	    sys_link },				/* 9 = link */
	{ 1, s(struct hpux_sys_unlink_args), 0,
	    hpux_sys_unlink },			/* 10 = unlink */
	{ 2, s(struct hpux_sys_execv_args), 0,
	    hpux_sys_execv },			/* 11 = execv */
	{ 1, s(struct hpux_sys_chdir_args), 0,
	    hpux_sys_chdir },			/* 12 = chdir */
	{ 1, s(struct hpux_sys_time_6x_args), 0,
	    hpux_sys_time_6x },			/* 13 = time_6x */
	{ 3, s(struct hpux_sys_mknod_args), 0,
	    hpux_sys_mknod },			/* 14 = mknod */
	{ 2, s(struct hpux_sys_chmod_args), 0,
	    hpux_sys_chmod },			/* 15 = chmod */
	{ 3, s(struct hpux_sys_chown_args), 0,
	    hpux_sys_chown },			/* 16 = chown */
	{ 1, s(struct sys_obreak_args), 0,
	    sys_obreak },			/* 17 = obreak */
	{ 2, s(struct hpux_sys_stat_6x_args), 0,
	    hpux_sys_stat_6x },			/* 18 = stat_6x */
	{ 3, s(struct compat_43_sys_lseek_args), 0,
	    compat_43_sys_lseek },		/* 19 = lseek */
	{ 0, 0, SYCALL_MPSAFE | 0,
	    sys_getpid },			/* 20 = getpid */
	{ 0, 0, 0,
	    sys_nosys },			/* 21 = unimplemented mount */
	{ 0, 0, 0,
	    sys_nosys },			/* 22 = unimplemented umount */
	{ 1, s(struct sys_setuid_args), 0,
	    sys_setuid },			/* 23 = setuid */
	{ 0, 0, 0,
	    sys_getuid },			/* 24 = getuid */
	{ 1, s(struct hpux_sys_stime_6x_args), 0,
	    hpux_sys_stime_6x },		/* 25 = stime_6x */
#if 0
	{ 4, s(struct hpux_sys_ptrace_args), 0,
	    hpux_sys_ptrace },			/* 26 = ptrace */
#else
	{ 0, 0, 0,
	    sys_nosys },			/* 26 = unimplemented ptrace */
#endif
	{ 1, s(struct hpux_sys_alarm_6x_args), 0,
	    hpux_sys_alarm_6x },		/* 27 = alarm_6x */
	{ 2, s(struct hpux_sys_fstat_6x_args), 0,
	    hpux_sys_fstat_6x },		/* 28 = fstat_6x */
	{ 0, 0, 0,
	    hpux_sys_pause_6x },		/* 29 = pause_6x */
	{ 2, s(struct hpux_sys_utime_6x_args), 0,
	    hpux_sys_utime_6x },		/* 30 = utime_6x */
	{ 2, s(struct hpux_sys_stty_6x_args), 0,
	    hpux_sys_stty_6x },			/* 31 = stty_6x */
	{ 2, s(struct hpux_sys_gtty_6x_args), 0,
	    hpux_sys_gtty_6x },			/* 32 = gtty_6x */
	{ 2, s(struct hpux_sys_access_args), 0,
	    hpux_sys_access },			/* 33 = access */
	{ 1, s(struct hpux_sys_nice_6x_args), 0,
	    hpux_sys_nice_6x },			/* 34 = nice_6x */
	{ 1, s(struct hpux_sys_ftime_6x_args), 0,
	    hpux_sys_ftime_6x },		/* 35 = ftime_6x */
	{ 0, 0, 0,
	    sys_sync },				/* 36 = sync */
	{ 2, s(struct hpux_sys_kill_args), 0,
	    hpux_sys_kill },			/* 37 = kill */
	{ 2, s(struct hpux_sys_stat_args), 0,
	    hpux_sys_stat },			/* 38 = stat */
	{ 0, 0, 0,
	    hpux_sys_setpgrp_6x },		/* 39 = setpgrp_6x */
	{ 2, s(struct hpux_sys_lstat_args), 0,
	    hpux_sys_lstat },			/* 40 = lstat */
	{ 1, s(struct sys_dup_args), 0,
	    sys_dup },				/* 41 = dup */
	{ 0, 0, 0,
	    sys_pipe },				/* 42 = pipe */
	{ 1, s(struct hpux_sys_times_6x_args), 0,
	    hpux_sys_times_6x },		/* 43 = times_6x */
	{ 4, s(struct sys_profil_args), 0,
	    sys_profil },			/* 44 = profil */
	{ 0, 0, 0,
	    sys_nosys },			/* 45 = unimplemented ki_syscall */
	{ 1, s(struct sys_setgid_args), 0,
	    sys_setgid },			/* 46 = setgid */
	{ 0, 0, 0,
	    sys_getgid },			/* 47 = getgid */
	{ 2, s(struct hpux_sys_ssig_6x_args), 0,
	    hpux_sys_ssig_6x },			/* 48 = ssig_6x */
	{ 0, 0, 0,
	    sys_nosys },			/* 49 = unimplemented reserved for USG */
	{ 0, 0, 0,
	    sys_nosys },			/* 50 = unimplemented reserved for USG */
	{ 0, 0, 0,
	    sys_nosys },			/* 51 = unimplemented acct */
	{ 0, 0, 0,
	    sys_nosys },			/* 52 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 53 = unimplemented */
	{ 3, s(struct hpux_sys_ioctl_args), 0,
	    hpux_sys_ioctl },			/* 54 = ioctl */
	{ 0, 0, 0,
	    sys_nosys },			/* 55 = unimplemented reboot */
	{ 2, s(struct hpux_sys_symlink_args), 0,
	    hpux_sys_symlink },			/* 56 = symlink */
	{ 3, s(struct hpux_sys_utssys_args), 0,
	    hpux_sys_utssys },			/* 57 = utssys */
	{ 3, s(struct hpux_sys_readlink_args), 0,
	    hpux_sys_readlink },		/* 58 = readlink */
	{ 3, s(struct hpux_sys_execve_args), 0,
	    hpux_sys_execve },			/* 59 = execve */
	{ 1, s(struct sys_umask_args), 0,
	    sys_umask },			/* 60 = umask */
	{ 1, s(struct sys_chroot_args), 0,
	    sys_chroot },			/* 61 = chroot */
	{ 3, s(struct hpux_sys_fcntl_args), 0,
	    hpux_sys_fcntl },			/* 62 = fcntl */
	{ 2, s(struct hpux_sys_ulimit_args), 0,
	    hpux_sys_ulimit },			/* 63 = ulimit */
	{ 0, 0, 0,
	    sys_nosys },			/* 64 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 65 = unimplemented */
	{ 0, 0, 0,
	    hpux_sys_vfork },			/* 66 = vfork */
	{ 3, s(struct hpux_sys_read_args), 0,
	    hpux_sys_read },			/* 67 = vread */
	{ 3, s(struct hpux_sys_write_args), 0,
	    hpux_sys_write },			/* 68 = vwrite */
	{ 0, 0, 0,
	    sys_nosys },			/* 69 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 70 = unimplemented */
	{ 6, s(struct hpux_sys_mmap_args), 0,
	    hpux_sys_mmap },			/* 71 = mmap */
	{ 0, 0, 0,
	    sys_nosys },			/* 72 = unimplemented */
	{ 2, s(struct sys_munmap_args), 0,
	    sys_munmap },			/* 73 = munmap */
	{ 3, s(struct sys_mprotect_args), 0,
	    sys_mprotect },			/* 74 = mprotect */
	{ 0, 0, 0,
	    sys_nosys },			/* 75 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 76 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 77 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 78 = unimplemented */
	{ 2, s(struct sys_getgroups_args), 0,
	    sys_getgroups },			/* 79 = getgroups */
	{ 2, s(struct sys_setgroups_args), 0,
	    sys_setgroups },			/* 80 = setgroups */
	{ 1, s(struct hpux_sys_getpgrp2_args), 0,
	    hpux_sys_getpgrp2 },		/* 81 = getpgrp2 */
	{ 2, s(struct hpux_sys_setpgrp2_args), 0,
	    hpux_sys_setpgrp2 },		/* 82 = setpgrp2 */
	{ 3, s(struct sys_setitimer_args), 0,
	    sys_setitimer },			/* 83 = setitimer */
	{ 3, s(struct hpux_sys_wait3_args), 0,
	    hpux_sys_wait3 },			/* 84 = wait3 */
	{ 0, 0, 0,
	    sys_nosys },			/* 85 = unimplemented swapon */
	{ 2, s(struct sys_getitimer_args), 0,
	    sys_getitimer },			/* 86 = getitimer */
	{ 0, 0, 0,
	    sys_nosys },			/* 87 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 88 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 89 = unimplemented */
	{ 2, s(struct sys_dup2_args), 0,
	    sys_dup2 },				/* 90 = dup2 */
	{ 0, 0, 0,
	    sys_nosys },			/* 91 = unimplemented */
	{ 2, s(struct hpux_sys_fstat_args), 0,
	    hpux_sys_fstat },			/* 92 = fstat */
	{ 5, s(struct sys_select_args), 0,
	    sys_select },			/* 93 = select */
	{ 0, 0, 0,
	    sys_nosys },			/* 94 = unimplemented */
	{ 1, s(struct sys_fsync_args), 0,
	    sys_fsync },			/* 95 = fsync */
	{ 0, 0, 0,
	    sys_nosys },			/* 96 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 97 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 98 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 99 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 100 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 101 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 102 = unimplemented */
	{ 1, s(struct hpux_sys_sigreturn_args), 0,
	    hpux_sys_sigreturn },		/* 103 = sigreturn */
	{ 0, 0, 0,
	    sys_nosys },			/* 104 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 105 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 106 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 107 = unimplemented */
	{ 3, s(struct hpux_sys_sigvec_args), 0,
	    hpux_sys_sigvec },			/* 108 = sigvec */
	{ 1, s(struct hpux_sys_sigblock_args), 0,
	    hpux_sys_sigblock },		/* 109 = sigblock */
	{ 1, s(struct hpux_sys_sigsetmask_args), 0,
	    hpux_sys_sigsetmask },		/* 110 = sigsetmask */
	{ 1, s(struct hpux_sys_sigpause_args), 0,
	    hpux_sys_sigpause },		/* 111 = sigpause */
	{ 2, s(struct compat_43_sys_sigstack_args), 0,
	    compat_43_sys_sigstack },		/* 112 = sigstack */
	{ 0, 0, 0,
	    sys_nosys },			/* 113 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 114 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 115 = unimplemented */
	{ 1, s(struct sys_gettimeofday_args), 0,
	    sys_gettimeofday },			/* 116 = gettimeofday */
	{ 0, 0, 0,
	    sys_nosys },			/* 117 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 118 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 119 = unimplemented io_stub */
	{ 3, s(struct hpux_sys_readv_args), 0,
	    hpux_sys_readv },			/* 120 = readv */
	{ 3, s(struct hpux_sys_writev_args), 0,
	    hpux_sys_writev },			/* 121 = writev */
	{ 2, s(struct sys_settimeofday_args), 0,
	    sys_settimeofday },			/* 122 = settimeofday */
	{ 3, s(struct sys___posix_fchown_args), 0,
	    sys___posix_fchown },		/* 123 = __posix_fchown */
	{ 2, s(struct sys_fchmod_args), 0,
	    sys_fchmod },			/* 124 = fchmod */
	{ 0, 0, 0,
	    sys_nosys },			/* 125 = unimplemented */
	{ 3, s(struct hpux_sys_setresuid_args), 0,
	    hpux_sys_setresuid },		/* 126 = setresuid */
	{ 3, s(struct hpux_sys_setresgid_args), 0,
	    hpux_sys_setresgid },		/* 127 = setresgid */
	{ 2, s(struct hpux_sys_rename_args), 0,
	    hpux_sys_rename },			/* 128 = rename */
	{ 2, s(struct hpux_sys_truncate_args), 0,
	    hpux_sys_truncate },		/* 129 = truncate */
	{ 2, s(struct compat_43_sys_ftruncate_args), 0,
	    compat_43_sys_ftruncate },		/* 130 = ftruncate */
	{ 0, 0, 0,
	    sys_nosys },			/* 131 = unimplemented */
	{ 1, s(struct hpux_sys_sysconf_args), 0,
	    hpux_sys_sysconf },			/* 132 = sysconf */
	{ 0, 0, 0,
	    sys_nosys },			/* 133 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 134 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 135 = unimplemented */
	{ 2, s(struct hpux_sys_mkdir_args), 0,
	    hpux_sys_mkdir },			/* 136 = mkdir */
	{ 1, s(struct hpux_sys_rmdir_args), 0,
	    hpux_sys_rmdir },			/* 137 = rmdir */
	{ 0, 0, 0,
	    sys_nosys },			/* 138 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 139 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 140 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 141 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 142 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 143 = unimplemented */
	{ 2, s(struct hpux_sys_getrlimit_args), 0,
	    hpux_sys_getrlimit },		/* 144 = getrlimit */
	{ 2, s(struct hpux_sys_setrlimit_args), 0,
	    hpux_sys_setrlimit },		/* 145 = setrlimit */
	{ 0, 0, 0,
	    sys_nosys },			/* 146 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 147 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 148 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 149 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 150 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 151 = unimplemented privgrp */
	{ 2, s(struct hpux_sys_rtprio_args), 0,
	    hpux_sys_rtprio },			/* 152 = rtprio */
	{ 0, 0, 0,
	    sys_nosys },			/* 153 = unimplemented plock */
	{ 2, s(struct hpux_sys_netioctl_args), 0,
	    hpux_sys_netioctl },		/* 154 = netioctl */
	{ 3, s(struct hpux_sys_lockf_args), 0,
	    hpux_sys_lockf },			/* 155 = lockf */
#ifdef SYSVSEM
	{ 3, s(struct sys_semget_args), 0,
	    sys_semget },			/* 156 = semget */
	{ 4, s(struct hpux_sys_osemctl_args), 0,
	    hpux_sys_osemctl },			/* 157 = osemctl */
	{ 3, s(struct sys_semop_args), 0,
	    sys_semop },			/* 158 = semop */
#else
	{ 0, 0, 0,
	    sys_nosys },			/* 156 = unimplemented semget */
	{ 0, 0, 0,
	    sys_nosys },			/* 157 = unimplemented osemctl */
	{ 0, 0, 0,
	    sys_nosys },			/* 158 = unimplemented semop */
#endif
#ifdef SYSVMSG
	{ 2, s(struct sys_msgget_args), 0,
	    sys_msgget },			/* 159 = msgget */
	{ 3, s(struct hpux_sys_omsgctl_args), 0,
	    hpux_sys_omsgctl },			/* 160 = omsgctl */
	{ 4, s(struct sys_msgsnd_args), 0,
	    sys_msgsnd },			/* 161 = msgsnd */
	{ 5, s(struct sys_msgrcv_args), 0,
	    sys_msgrcv },			/* 162 = msgrcv */
#else
	{ 0, 0, 0,
	    sys_nosys },			/* 159 = unimplemented msgget */
	{ 0, 0, 0,
	    sys_nosys },			/* 160 = unimplemented omsgctl */
	{ 0, 0, 0,
	    sys_nosys },			/* 161 = unimplemented msgsnd */
	{ 0, 0, 0,
	    sys_nosys },			/* 162 = unimplemented msgrcv */
#endif
#ifdef SYSVSHM
	{ 3, s(struct sys_shmget_args), 0,
	    sys_shmget },			/* 163 = shmget */
	{ 3, s(struct hpux_sys_oshmctl_args), 0,
	    hpux_sys_oshmctl },			/* 164 = oshmctl */
	{ 3, s(struct sys_shmat_args), 0,
	    sys_shmat },			/* 165 = shmat */
	{ 1, s(struct sys_shmdt_args), 0,
	    sys_shmdt },			/* 166 = shmdt */
#else
	{ 0, 0, 0,
	    sys_nosys },			/* 163 = unimplemented shmget */
	{ 0, 0, 0,
	    sys_nosys },			/* 164 = unimplemented shmctl */
	{ 0, 0, 0,
	    sys_nosys },			/* 165 = unimplemented shmat */
	{ 0, 0, 0,
	    sys_nosys },			/* 166 = unimplemented shmdt */
#endif
	{ 1, s(struct hpux_sys_advise_args), 0,
	    hpux_sys_advise },			/* 167 = advise */
	{ 0, 0, 0,
	    sys_nosys },			/* 168 = unimplemented nsp_init */
	{ 0, 0, 0,
	    sys_nosys },			/* 169 = unimplemented cluster */
	{ 0, 0, 0,
	    sys_nosys },			/* 170 = unimplemented mkrnod */
	{ 0, 0, 0,
	    sys_nosys },			/* 171 = unimplemented test */
	{ 0, 0, 0,
	    sys_nosys },			/* 172 = unimplemented unsp_open */
	{ 0, 0, 0,
	    sys_nosys },			/* 173 = unimplemented */
	{ 2, s(struct hpux_sys_getcontext_args), 0,
	    hpux_sys_getcontext },		/* 174 = getcontext */
	{ 0, 0, 0,
	    sys_nosys },			/* 175 = unimplemented setcontext */
	{ 0, 0, 0,
	    sys_nosys },			/* 176 = unimplemented bigio */
	{ 0, 0, 0,
	    sys_nosys },			/* 177 = unimplemented pipenode */
	{ 0, 0, 0,
	    sys_nosys },			/* 178 = unimplemented lsync */
	{ 0, 0, 0,
	    sys_nosys },			/* 179 = unimplemented getmachineid */
	{ 0, 0, 0,
	    sys_nosys },			/* 180 = unimplemented mysite */
	{ 0, 0, 0,
	    sys_nosys },			/* 181 = unimplemented sitels */
	{ 0, 0, 0,
	    sys_nosys },			/* 182 = unimplemented swapclients */
	{ 0, 0, 0,
	    sys_nosys },			/* 183 = unimplemented rmtprocess */
	{ 0, 0, 0,
	    sys_nosys },			/* 184 = unimplemented dskless_stats */
	{ 0, 0, 0,
	    sys_nosys },			/* 185 = unimplemented Northrop special */
	{ 0, 0, 0,
	    sys_nosys },			/* 186 = unimplemented setacl */
	{ 0, 0, 0,
	    sys_nosys },			/* 187 = unimplemented fsetacl */
	{ 0, 0, 0,
	    sys_nosys },			/* 188 = unimplemented getacl */
	{ 0, 0, 0,
	    sys_nosys },			/* 189 = unimplemented fgetacl */
	{ 6, s(struct hpux_sys_getaccess_args), 0,
	    hpux_sys_getaccess },		/* 190 = getaccess */
	{ 0, 0, 0,
	    sys_nosys },			/* 191 = unimplemented getaudid */
	{ 0, 0, 0,
	    sys_nosys },			/* 192 = unimplemented setaudid */
	{ 0, 0, 0,
	    sys_nosys },			/* 193 = unimplemented getaudproc */
	{ 0, 0, 0,
	    sys_nosys },			/* 194 = unimplemented setaudproc */
	{ 0, 0, 0,
	    sys_nosys },			/* 195 = unimplemented getevent */
	{ 0, 0, 0,
	    sys_nosys },			/* 196 = unimplemented setevent */
	{ 0, 0, 0,
	    sys_nosys },			/* 197 = unimplemented audwrite */
	{ 0, 0, 0,
	    sys_nosys },			/* 198 = unimplemented audswitch */
	{ 0, 0, 0,
	    sys_nosys },			/* 199 = unimplemented audctl */
	{ 4, s(struct hpux_sys_waitpid_args), 0,
	    hpux_sys_waitpid },			/* 200 = waitpid */
	{ 0, 0, 0,
	    sys_nosys },			/* 201 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 202 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 203 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 204 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 205 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 206 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 207 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 208 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 209 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 210 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 211 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 212 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 213 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 214 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 215 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 216 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 217 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 218 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 219 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 220 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 221 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 222 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 223 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 224 = unimplemented set_no_trunc */
	{ 2, s(struct sys_pathconf_args), 0,
	    sys_pathconf },			/* 225 = pathconf */
	{ 2, s(struct sys_fpathconf_args), 0,
	    sys_fpathconf },			/* 226 = fpathconf */
	{ 0, 0, 0,
	    sys_nosys },			/* 227 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 228 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 229 = unimplemented async_daemon */
	{ 0, 0, 0,
	    sys_nosys },			/* 230 = unimplemented nfs_fcntl */
	{ 4, s(struct compat_43_sys_getdirentries_args), 0,
	    compat_43_sys_getdirentries },	/* 231 = getdirentries */
	{ 2, s(struct compat_09_sys_getdomainname_args), 0,
	    compat_09_sys_getdomainname },	/* 232 = getdomainname */
	{ 0, 0, 0,
	    sys_nosys },			/* 233 = unimplemented getfh */
	{ 0, 0, 0,
	    sys_nosys },			/* 234 = unimplemented vfsmount */
	{ 0, 0, 0,
	    sys_nosys },			/* 235 = unimplemented nfssvc */
	{ 2, s(struct compat_09_sys_setdomainname_args), 0,
	    compat_09_sys_setdomainname },	/* 236 = setdomainname */
	{ 0, 0, 0,
	    sys_nosys },			/* 237 = unimplemented statfs */
	{ 0, 0, 0,
	    sys_nosys },			/* 238 = unimplemented fstatfs */
	{ 3, s(struct hpux_sys_sigaction_args), 0,
	    hpux_sys_sigaction },		/* 239 = sigaction */
	{ 3, s(struct hpux_sys_sigprocmask_args), 0,
	    hpux_sys_sigprocmask },		/* 240 = sigprocmask */
	{ 1, s(struct hpux_sys_sigpending_args), 0,
	    hpux_sys_sigpending },		/* 241 = sigpending */
	{ 1, s(struct hpux_sys_sigsuspend_args), 0,
	    hpux_sys_sigsuspend },		/* 242 = sigsuspend */
	{ 0, 0, 0,
	    sys_nosys },			/* 243 = unimplemented fsctl */
	{ 0, 0, 0,
	    sys_nosys },			/* 244 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 245 = unimplemented pstat */
	{ 0, 0, 0,
	    sys_nosys },			/* 246 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 247 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 248 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 249 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 250 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 251 = unimplemented ulconnect */
	{ 0, 0, 0,
	    sys_nosys },			/* 252 = unimplemented ulcontrol */
	{ 0, 0, 0,
	    sys_nosys },			/* 253 = unimplemented ulcreate */
	{ 0, 0, 0,
	    sys_nosys },			/* 254 = unimplemented uldest */
	{ 0, 0, 0,
	    sys_nosys },			/* 255 = unimplemented ulrecv */
	{ 0, 0, 0,
	    sys_nosys },			/* 256 = unimplemented ulrecvcn */
	{ 0, 0, 0,
	    sys_nosys },			/* 257 = unimplemented ulsend */
	{ 0, 0, 0,
	    sys_nosys },			/* 258 = unimplemented ulshutdown */
	{ 0, 0, 0,
	    sys_nosys },			/* 259 = unimplemented swapfs */
	{ 0, 0, 0,
	    sys_nosys },			/* 260 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 261 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 262 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 263 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 264 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 265 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 266 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 267 = unimplemented tsync */
	{ 0, 0, 0,
	    compat_43_sys_getdtablesize },	/* 268 = getdtablesize */
	{ 3, s(struct sys_poll_args), 0,
	    sys_poll },				/* 269 = poll */
	{ 0, 0, 0,
	    sys_nosys },			/* 270 = unimplemented getmsg */
	{ 0, 0, 0,
	    sys_nosys },			/* 271 = unimplemented putmsg */
	{ 1, s(struct sys_fchdir_args), 0,
	    sys_fchdir },			/* 272 = fchdir */
	{ 0, 0, 0,
	    sys_nosys },			/* 273 = unimplemented getmount_cnt */
	{ 0, 0, 0,
	    sys_nosys },			/* 274 = unimplemented getmount_entry */
	{ 3, s(struct compat_43_sys_accept_args), 0,
	    compat_43_sys_accept },		/* 275 = accept */
	{ 3, s(struct sys_bind_args), 0,
	    sys_bind },				/* 276 = bind */
	{ 3, s(struct sys_connect_args), 0,
	    sys_connect },			/* 277 = connect */
	{ 3, s(struct compat_43_sys_getpeername_args), 0,
	    compat_43_sys_getpeername },	/* 278 = getpeername */
	{ 3, s(struct compat_43_sys_getsockname_args), 0,
	    compat_43_sys_getsockname },	/* 279 = getsockname */
	{ 5, s(struct sys_getsockopt_args), 0,
	    sys_getsockopt },			/* 280 = getsockopt */
	{ 2, s(struct sys_listen_args), 0,
	    sys_listen },			/* 281 = listen */
	{ 4, s(struct compat_43_sys_recv_args), 0,
	    compat_43_sys_recv },		/* 282 = recv */
	{ 6, s(struct compat_43_sys_recvfrom_args), 0,
	    compat_43_sys_recvfrom },		/* 283 = recvfrom */
	{ 3, s(struct compat_43_sys_recvmsg_args), 0,
	    compat_43_sys_recvmsg },		/* 284 = recvmsg */
	{ 4, s(struct compat_43_sys_send_args), 0,
	    compat_43_sys_send },		/* 285 = send */
	{ 3, s(struct compat_43_sys_sendmsg_args), 0,
	    compat_43_sys_sendmsg },		/* 286 = sendmsg */
	{ 6, s(struct sys_sendto_args), 0,
	    sys_sendto },			/* 287 = sendto */
	{ 5, s(struct hpux_sys_setsockopt2_args), 0,
	    hpux_sys_setsockopt2 },		/* 288 = setsockopt2 */
	{ 2, s(struct sys_shutdown_args), 0,
	    sys_shutdown },			/* 289 = shutdown */
	{ 3, s(struct sys_socket_args), 0,
	    sys_socket },			/* 290 = socket */
	{ 4, s(struct sys_socketpair_args), 0,
	    sys_socketpair },			/* 291 = socketpair */
	{ 0, 0, 0,
	    sys_nosys },			/* 292 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 293 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 294 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 295 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 296 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 297 = unimplemented */
	{ 0, 0, 0,
	    sys_nosys },			/* 298 = unimplemented ipccreate */
	{ 0, 0, 0,
	    sys_nosys },			/* 299 = unimplemented ipcname */
	{ 0, 0, 0,
	    sys_nosys },			/* 300 = unimplemented ipcnamerase */
	{ 0, 0, 0,
	    sys_nosys },			/* 301 = unimplemented ipclookup */
	{ 0, 0, 0,
	    sys_nosys },			/* 302 = unimplemented ipcselect */
	{ 0, 0, 0,
	    sys_nosys },			/* 303 = unimplemented ipcconnect */
	{ 0, 0, 0,
	    sys_nosys },			/* 304 = unimplemented ipcrecvcn */
	{ 0, 0, 0,
	    sys_nosys },			/* 305 = unimplemented ipcsend */
	{ 0, 0, 0,
	    sys_nosys },			/* 306 = unimplemented ipcrecv */
	{ 0, 0, 0,
	    sys_nosys },			/* 307 = unimplemented ipcgetnodename */
	{ 0, 0, 0,
	    sys_nosys },			/* 308 = unimplemented ipcsetnodename */
	{ 0, 0, 0,
	    sys_nosys },			/* 309 = unimplemented ipcontrol */
	{ 0, 0, 0,
	    sys_nosys },			/* 310 = unimplemented ipcshutdown */
	{ 0, 0, 0,
	    sys_nosys },			/* 311 = unimplemented ipcdest */
#ifdef SYSVSEM
	{ 4, s(struct hpux_sys_semctl_args), 0,
	    hpux_sys_semctl },			/* 312 = semctl */
#else
	{ 0, 0, 0,
	    sys_nosys },			/* 312 = unimplemented semctl */
#endif
#ifdef SYSVMSG
	{ 3, s(struct hpux_sys_msgctl_args), 0,
	    hpux_sys_msgctl },			/* 313 = msgctl */
#else
	{ 0, 0, 0,
	    sys_nosys },			/* 313 = unimplemented msgctl */
#endif
#ifdef SYSVSHM
	{ 3, s(struct hpux_sys_shmctl_args), 0,
	    hpux_sys_shmctl },			/* 314 = shmctl */
#else
	{ 0, 0, 0,
	    sys_nosys },			/* 314 = unimplemented shmctl */
#endif
	{ 0, 0, 0,
	    sys_nosys },			/* 315 = unimplemented mpctl */
	{ 0, 0, 0,
	    sys_nosys },			/* 316 = unimplemented exportfs */
	{ 0, 0, 0,
	    sys_nosys },			/* 317 = unimplemented getpmsg */
	{ 0, 0, 0,
	    sys_nosys },			/* 318 = unimplemented putpmsg */
	{ 0, 0, 0,
	    sys_nosys },			/* 319 = unimplemented strioctl */
	{ 0, 0, 0,
	    sys_nosys },			/* 320 = unimplemented msync */
	{ 0, 0, 0,
	    sys_nosys },			/* 321 = unimplemented msleep */
	{ 0, 0, 0,
	    sys_nosys },			/* 322 = unimplemented mwakeup */
	{ 0, 0, 0,
	    sys_nosys },			/* 323 = unimplemented msem_init */
	{ 0, 0, 0,
	    sys_nosys },			/* 324 = unimplemented msem_remove */
	{ 0, 0, 0,
	    sys_nosys },			/* 325 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 326 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 327 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 328 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 329 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 330 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 331 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 332 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 333 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 334 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 335 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 336 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 337 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 338 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 339 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 340 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 341 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 342 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 343 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 344 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 345 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 346 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 347 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 348 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 349 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 350 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 351 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 352 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 353 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 354 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 355 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 356 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 357 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 358 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 359 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 360 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 361 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 362 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 363 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 364 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 365 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 366 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 367 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 368 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 369 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 370 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 371 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 372 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 373 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 374 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 375 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 376 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 377 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 378 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 379 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 380 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 381 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 382 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 383 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 384 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 385 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 386 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 387 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 388 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 389 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 390 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 391 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 392 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 393 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 394 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 395 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 396 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 397 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 398 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 399 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 400 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 401 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 402 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 403 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 404 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 405 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 406 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 407 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 408 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 409 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 410 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 411 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 412 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 413 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 414 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 415 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 416 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 417 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 418 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 419 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 420 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 421 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 422 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 423 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 424 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 425 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 426 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 427 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 428 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 429 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 430 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 431 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 432 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 433 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 434 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 435 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 436 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 437 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 438 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 439 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 440 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 441 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 442 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 443 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 444 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 445 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 446 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 447 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 448 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 449 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 450 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 451 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 452 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 453 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 454 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 455 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 456 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 457 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 458 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 459 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 460 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 461 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 462 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 463 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 464 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 465 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 466 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 467 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 468 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 469 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 470 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 471 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 472 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 473 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 474 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 475 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 476 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 477 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 478 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 479 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 480 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 481 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 482 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 483 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 484 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 485 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 486 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 487 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 488 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 489 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 490 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 491 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 492 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 493 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 494 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 495 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 496 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 497 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 498 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 499 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 500 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 501 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 502 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 503 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 504 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 505 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 506 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 507 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 508 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 509 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 510 = filler */
	{ 0, 0, 0,
	    sys_nosys },			/* 511 = filler */
};

